database modifications

If there is NO file_icon field in the files table, add it
----------------------------------------------------
ALTER TABLE `files` ADD `file_icon` VARCHAR( 40 ) NULL DEFAULT 'icons/text-x-generic.png'
----------------------------------------------------

If there already is a file_icon field, update it instead
-----------------------------------------------------
ALTER TABLE `files` CHANGE `file_icon` `file_icon` VARCHAR( 40 ) NULL DEFAULT 'icons/text-x-generic.png'
-----------------------------------------------------

Update any existing files to include proper icons
-----------------------------------------------------
UPDATE `files` SET `file_icon`='icons/audio-x-generic.png' WHERE `file_type` LIKE 'audio/%';
UPDATE `files` SET `file_icon`='icons/image-x-generic.png' WHERE `file_type` LIKE 'image/%';
UPDATE `files` SET `file_icon`='icons/text-x-generic.png' WHERE `file_type` LIKE 'text/%';
UPDATE `files` SET `file_icon`='icons/video-x-generic.png' WHERE `file_type` LIKE 'video/%';
UPDATE `files` SET `file_icon`='icons/x-office-spreadsheet.png' WHERE `file_type` LIKE '%/vnd.ms-excel';
UPDATE `files` SET `file_icon`='icons/x-office-presentation.png' WHERE `file_type` LIKE '%/vnd.ms-powerpoint';
UPDATE `files` SET `file_icon`='icons/x-office-document.png' WHERE `file_type` LIKE '%/msword';
UPDATE `files` SET `file_icon`='icons/application-x-executable.png' WHERE `file_type` LIKE '%/octet-stream';
UPDATE `files` SET `file_icon`='icons/pdf.png' WHERE `file_type` LIKE '%/pdf';
UPDATE `files` SET `file_icon`='icons/package-x-generic.png' WHERE `file_type` LIKE '%/zip';
UPDATE `files` SET `file_icon`='icons/package-x-generic.png' WHERE `file_type` LIKE '%/x-tar';
UPDATE `files` SET `file_icon`='icons/package-x-generic.png' WHERE `file_type` LIKE '%/x-gzip';
UPDATE `files` SET `file_icon`='icons/image-x-generic.png' WHERE `file_type` LIKE '%/postscript';
UPDATE `files` SET `file_icon`='icons/text-html.png' WHERE `file_type` LIKE '%/html';
UPDATE `files` SET `file_icon`='icons/text-html.png' WHERE `file_type` LIKE '%/xml';

UPDATE `files` SET `file_icon`='icons/mail-attachment.png' WHERE `file_icon` = 'obj/';